Public Class AepfelundBirnen
    Inherits ElementBase
    Public Sub New()
        Me.ElementTyp = ElementTypen.AepfelundBirnen
    End Sub

    Private m_Aepfel As Integer = 0
    Property Aepfel() As Integer
        Get
            Return m_Aepfel
        End Get
        Set(ByVal value As Integer)
            If m_Aepfel <> value Then
                m_Aepfel = value
                PropertyChanged()
            End If
        End Set
    End Property

    Private m_Birnen As Integer = 0
    Property Birnen() As Integer
        Get
            Return m_Birnen
        End Get
        Set(ByVal value As Integer)
            If m_Birnen <> value Then
                m_Birnen = value
                PropertyChanged()
            End If
        End Set
    End Property
    Private m_BirnenZuerst As Boolean = False
    Property BirnenZuerst() As Boolean
        Get
            Return m_BirnenZuerst
        End Get
        Set(ByVal value As Boolean)
            If m_BirnenZuerst <> value Then
                m_BirnenZuerst = value
                PropertyChanged()
            End If
        End Set
    End Property

    Public Overrides Sub Paint(ByVal g As System.Drawing.Graphics, ByVal Mitte As Integer, ByVal Top As Integer, ByVal ft As System.Drawing.Font)

        Dim ApfelLeft As Integer = 2
        Dim BirnenLeft As Integer = 2
        If m_BirnenZuerst Then
            ApfelLeft += Mitte
        Else
            BirnenLeft += Mitte
        End If

        If m_Aepfel > 0 Then
            For I As Integer = 1 To m_Aepfel
                g.DrawImage(My.Resources.Apfel, New Rectangle(ApfelLeft, Top, 16, 16))
                ApfelLeft += 16
            Next
        End If

        If m_Birnen > 0 Then
            For I As Integer = 1 To m_Birnen
                g.DrawImage(My.Resources.Birne, New Rectangle(BirnenLeft, Top, 16, 16))
                BirnenLeft += 16
            Next
        End If


    End Sub
End Class
